Subject: Re: bug#39170: 27.0.60; tramp: async-shell-command asks me for password each time

From: Michael Albinus <[email-masked]>
Date: Tue, 21 Jan 2020 13:54:04 +0100

Tino Calancha <[email-masked]> writes:

Hi Tino,

> emacs -Q
> ;; I visit /tmp
> C-x d /sudo::/tmp RET
> ;; prompted for pasword as usual; then I got my Dired buffer
> M-& ls RET
> ;; Now I am prompted for password; in fact, I am prompted for password
> ;; each time I execute `asayc-shell-command' from that tramp buffer.
>
> Git bisect suggests that the issue arose with commit:
> 'Fix Bug#27315'
> (164fcc6f26e4a539f6cb1e4b7196ce5f93d06a53)

Indeed, it happens since then.

I'm very sorry, but this is a special case. Usually, we appreciate much
to run the tests with "emacs -Q". However, it happens often that I have
to debug Tramp problems which are related to cached properties, or
passwords. That's why Tramp neither loads cached properties, nor uses
auth-sources when Emacs is called with "-Q".

I'm pretty sure this problem doesn't happen when you start simply "emacs".

Best regards, Michael.